import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React from "react";
import Annotator from "../Annotator";
import editable_data from "../OCRJSON/Editable";
import OCR_blocks from "../OCRJSON/OCR_blocks";
export default (function () {
  var _React$useState = React.useState({
    taskDescription: "Annotate each image according to this _markdown_ specification.",
    regionTagList: ["Bag", "Bangles bracelets", "Bathrobe", "Belt", "Blazer", "Blouse saree", "Boots", "Bra", "Briefs", "Camisole", "Casual shoes", "Coats", "Coords", "Corset", "Dress", "Dungree", "Dupatta", "Earcuff", "Earrings", "Ethnic bottom", "Finger rings", "Flats", "Flip flop", "Footware", "Rest"],
    regionClsList: ["Bag", "Bangles bracelets", "Bathrobe", "Belt", "Blazer", "Blouse saree", "Boots", "Bra", "Briefs", "Camisole", "Casual shoes", "Coats", "Coords", "Corset", "Dress", "Dungree", "Dupatta", "Earcuff", "Earrings", "Ethnic bottom", "Finger rings", "Flats", "Flip flop", "Footware", "Rest"],
    enabledTools: ["select", "create-box", "create-polygon"],
    videoName: "",
    videoTime: "0",
    videoSrc: "http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4",
    images: [{
      src: "https://nsworkflow-dev.s3.ap-south-1.amazonaws.com/KalidoPilotBatch4/10277104_20230228121248_202_1.jpg",
      name: "hot-dogs-1",
      regions: [{
        type: "box",
        x: 0.05425204139724521,
        y: 0.10559630252905851,
        w: 0.10946745562130178,
        h: 0.03328402366863907,
        highlighted: true,
        editingLabels: false,
        color: "#f44336",
        cls: "doctors_name",
        id: "35981860315239755",
        qc_label: true,
        keyframes: "0",
        ocr_value: "Dr. Pradip",
        tags: ["doctors_name"],
        tag_count: 1,
        invalid: true,
        invalid_tag: ["doctors_name"],
        update_user: true
      }]
    }, {
      src: "https://www.bianchi.com/wp-content/uploads/2019/07/YPB17I555K.jpg",
      name: "bianchi-oltre-xr4"
    }],
    allowComments: false
  }),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      annotatorProps = _React$useState2[0],
      changeAnnotatorProps = _React$useState2[1];

  var isImageMode = true;
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Annotator, Object.assign({}, annotatorProps, {
    onExit: function onExit(e) {
      return console.log(e);
    },
    column_key: "",
    enabledTools: isImageMode ? ["create-box", "create-polygon", "zoom", "zoom_tool_minus"] : ["select", "zoom", "pan", "create-point", "create-box", "create-polygon", "show-mask", "undo_anntation", "redo_anntation", "create-a-brush", "eraser", "zoom_tool_minus"],
    access_block: ["sku"],
    invaild_show: false,
    showUpdate: !isImageMode,
    rightMenu: !isImageMode,
    isReadingMode: false,
    isImageMode: isImageMode,
    hideSaveNext: isImageMode,
    hideQuery: isImageMode,
    hideSave: isImageMode,
    hideHeader: isImageMode,
    hideHeaderText: isImageMode,
    hideNext: isImageMode,
    hidePrev: isImageMode,
    hideClone: isImageMode,
    hideSettings: isImageMode,
    hideFullScreen: isImageMode,
    handleSubmit: function handleSubmit(state, ocr) {
      return console.log(state, ocr);
    },
    tilte_key: "image_le",
    deleteAnnotationAllow: false,
    annotation_index: 0,
    isMediaLayout: true,
    blocks: OCR_blocks,
    image_ocr_map: [],
    editable_data: editable_data,
    lazyBrush: [{
      id: "28885889064608783",
      qc_label: false,
      tool: "pen",
      points: [260.0249123922856, 327.7799944228297, 297.0251640586801, 265.7795745775657, 347.0255041484024, 276.7796490662416, 368.02564698608575, 296.7797845001977, 388.0257830219747, 286.7797167832196],
      brushRadius: 5,
      type: "brush",
      popUp: {
        open: false,
        classification: {
          value: "doctors_name",
          label: "doctors_name"
        },
        tags: [{
          value: "doctors_name",
          label: "doctors_name"
        }]
      },
      color: "rgba(244,67,54,0.5)",
      isPopupShow: true,
      isparent: true,
      isLocked: false,
      isHide: false,
      update_user: false,
      tag_count: 1,
      invalid: true,
      invalid_tag: [{
        value: "doctors_name",
        label: "doctors_name"
      }]
    }],
    customize_data: [{
      title: "section_title",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "section_title",
      display_label: "Section Title",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "name",
      display_label: "Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "email",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "email",
      display_label: "Email",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "phone",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "phone",
      display_label: "Phone",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "biography",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "biography",
      display_label: "Biography",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "cv_column",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "cv_column",
      display_label: "CV Column",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "link",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "link",
      display_label: "Link",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry___job_title",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry___job_title",
      display_label: "Work History Entry 1 - Job Title",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry___company",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry___company",
      display_label: "Work History Entry 1 - Company",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry___location",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry___location",
      display_label: "Work History Entry 1 - Location",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry___start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry___start_date",
      display_label: "Work History Entry 1 - Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry___end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry___end_date",
      display_label: "Work History Entry 1 - End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_2___job_title",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_2___job_title",
      display_label: "Work History Entry 2 - Job Title",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_2___company",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_2___company",
      display_label: "Work History Entry 2 - Company",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_2___location",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_2___location",
      display_label: "Work History Entry 2 - Location",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_2___start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_2___start_date",
      display_label: "Work History Entry 2 - Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_2___end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_2___end_date",
      display_label: "Work History Entry 2 - End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_3___job_title",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_3___job_title",
      display_label: "Work History Entry 3 - Job Title",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_3___company",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_3___company",
      display_label: "Work History Entry 3 - Company",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_3___location",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_3___location",
      display_label: "Work History Entry 3 - Location",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_3___start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_3___start_date",
      display_label: "Work History Entry 3 - Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_3___end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_3___end_date",
      display_label: "Work History Entry 3 - End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_4___job_title",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_4___job_title",
      display_label: "Work History Entry 4 - Job Title",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_4___company",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_4___company",
      display_label: "Work History Entry 4 - Company",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_4___location",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_4___location",
      display_label: "Work History Entry 4 - Location",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_4___start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_4___start_date",
      display_label: "Work History Entry 4 - Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "work_history_entry_4___end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "work_history_entry_4___end_date",
      display_label: "Work History Entry 4 - End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "project_entry___job_title",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "project_entry___job_title",
      display_label: "Project Entry - Job Title",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "project_entry___company",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "project_entry___company",
      display_label: "Project Entry - Company",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "project_entry___location",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "project_entry___location",
      display_label: "Project Entry - Location",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "project_entry___start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "project_entry___start_date",
      display_label: "Project Entry - Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "project_entry___end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "project_entry___end_date",
      display_label: "Project Entry - End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "education_entry___university/institution_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "education_entry___university/institution_name",
      display_label: "Edu. Entry - University/Institution Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "education_entry___degree_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "education_entry___degree_name",
      display_label: "Edu. Entry - Degree Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "education_entry___start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "education_entry___start_date",
      display_label: "Edu. Entry - Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "education_entry___end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "education_entry___end_date",
      display_label: "Edu. Entry - End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_2__university/institution_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_2__university/institution_name",
      display_label: "Edu. Entry 2- University/Institution Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_2__degree_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_2__degree_name",
      display_label: "Edu. Entry 2- Degree Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_2__start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_2__start_date",
      display_label: "Edu. Entry 2- Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_2__end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_2__end_date",
      display_label: "Edu. Entry 2- End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_3__university/institution_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_3__university/institution_name",
      display_label: "Edu. Entry 3- University/Institution Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_3__degree_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_3__degree_name",
      display_label: "Edu. Entry 3- Degree Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_3__start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_3__start_date",
      display_label: "Edu. Entry 3- Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_3__end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_3__end_date",
      display_label: "Edu. Entry 3- End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_4__university/institution_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_4__university/institution_name",
      display_label: "Edu. Entry 4- University/Institution Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_4__degree_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_4__degree_name",
      display_label: "Edu. Entry 4- Degree Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_4__start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_4__start_date",
      display_label: "Edu. Entry 4- Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "edu._entry_4__end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "edu._entry_4__end_date",
      display_label: "Edu. Entry 4- End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry___university/institution_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "certification_entry___university/institution_name",
      display_label: "Certification Entry - University/Institution Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry___certification_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "certification_entry___certification_name",
      display_label: "Certification Entry - Certification Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry___start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "certification_entry___start_date",
      display_label: "Certification Entry - Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry___end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "certification_entry___end_date",
      display_label: "Certification Entry - End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry___code/identifier",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "certification_entry___code/identifier",
      display_label: "Certification Entry - Code/Identifier",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_2__university/institution_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 2- University/Institution Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_2__certification_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 2- Certification Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_2__start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 2- Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_2__end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 2- End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_2__code/identifier",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 2- Code/Identifier",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_3__university/institution_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 3- University/Institution Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_3__certification_name",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 3- Certification Name",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_3__start_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 3- Start Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_3__end_date",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 3- End Date",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }, {
      title: "certification_entry_3__code/identifier",
      mandatory: "non-mandatory",
      input_type: "textArea",
      description: "",
      default_type: "",
      display_label: "Certification Entry 3- Code/Identifier",
      other_default_value: "",
      history_hide: true,
      readonly: true
    }]
  })));
});